#
# spec file for package python-sphinx_rtd_theme
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx_rtd_theme
Version:        0.4.1
Release:        25.83
Summary:        ReadTheDocs.org theme for Sphinx
License:        MIT AND Apache-2.0 AND OFL-1.1
Group:          Development/Languages/Python
URL:            https://github.com/snide/sphinx_rtd_theme/
Source:         https://files.pythonhosted.org/packages/source/s/sphinx_rtd_theme/sphinx_rtd_theme-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
BuildArch:      noarch
%python_subpackages

%description
This is a prototype mobile-friendly sphinx theme I made for readthedocs.org. It's
currently in development and includes some rtd variable checks that can be ignored
if you're just trying to use it on your project outside of that site.

%prep
%setup -q -n sphinx_rtd_theme-%{version}
sed -i 's/\r$//' OFL-License.txt

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE OFL-License.txt Apache-License-2.0.txt
%doc README.rst
%{python_sitelib}/sphinx_rtd_theme*

%changelog
* Sat Aug 11 2018 arun@gmx.de
- specfile:
  * require Sphinx
- update to version 0.4.1:
  * Fixes
    + Line height adjustments for Liberation Mono (#656)
  * Other Changes
    + Add Sphinx as a dependency
* Mon Jul  2 2018 arun@gmx.de
- specfile:
  * be more specific in %%files:
    %%{python_sitelib}/* -> %%{python_sitelib}/sphinx_rtd_theme*
  * remove python-devel
- update to version 0.4.0:
  * Fixes
    + Do not rely on readthedocs.org for CSS/JS (#614)
    + Color accessibility improvements on the left navigation
  * Other Changes
    + Write theme version and build date at top of JavaScript and CSS
    + Changed code and literals to use a native font stack (#612)
    + Fix small styling issues
* Sun May  6 2018 arun@gmx.de
- update to version 0.3.1:
  * Revert part of #576 causing display issues with version selector
    menu
  * Backwards compatibility fixes for pre-0.3.0 releases (#623)
  * Fix mkdocs version selector (#622)
  * Add open list spacing (#591)
  * Fix table centering (#599)
* Tue Apr 24 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.3.0:
  * New Features
    + Add html language attribute
    + Allow setting 'rel' and 'title' attributes for stylesheets
    (#551)
    + Add option to style external links
    + Add github, gitlab, bitbucket page arguments option
    + Add pygments support
    + Add setuptools entry point allowing to use sphinx_rtd_theme as
    Sphinx html_theme directly.
    + Add language to the JS output variable
  * Fixes
    + Fix some HTML warnings and errors
    + Fix many styling issues
    + Fix many sidebar glitches
    + Fix line number spacing to align with the code lines
    + Hide Edit links on auto created pages
    + Include missing font files with the theme
  * Other Changes
    + Significant improvement of our documentation
    + Compress our Javascript files
    + Updated dependencies
* Tue Sep 19 2017 toddrme2178@gmail.com
- Update to 0.2.4
  * Yet another patch to deal with extra builders outside Spinx, such as the
    singlehtml builders from the Read the Docs Sphinx extension
- Update to 0.2.3
  * Temporarily patch Sphinx issue with ``singlehtml`` builder by inspecting the
    builder in template.
- Update to 0.2.2
  * Roll back toctree fix in 0.2.1 (#367). This didn't fix the issue and
    introduced another bug with toctrees display.
- Update to 0.2.1
  * Add the ``rel`` HTML attribute to the footer links which point to
    the previous and next pages.
  * Fix toctree issue caused by Sphinx singlehtml builder (#367)
- Update to 0.2.0
  * Adds the ``comments`` block after the ``body`` block in the template
  * Added "Edit on GitLab" support
  * Many bug fixes
- Update to 0.1.10-alpha
  * Removes Sphinx dependency
  * Fixes hamburger on mobile display
  * Adds a ``body_begin`` block to the template
  * Add ``prev_next_buttons_location`` which can take the value ``bottom``,
    ``top``, ``both`` , ``None`` and will display the "Next" and "Previous"
    buttons accordingly
- Update to 0.1.9
  * Intermittent scrollbar visibility bug fixed. This change introduces a
    backwards incompatible change to the theme's layout HTML. This should only be
    a problem for derivative themes that have overridden styling of nav elements
    using direct decendant selectors. See `#215`_ for more information.
  * Safari overscroll bug fixed
  * Version added to the nav header
  * Revision id was added to the documentation footer if you are using RTD
  * An extra block, ``extrafooter`` was added to allow extra content in the
    document footer block
  * Fixed modernizr URL
  * Small display style changes on code blocks, figure captions, and nav elements
* Wed Apr 12 2017 toddrme2178@gmail.com
- Fix python_module macro definition.
* Mon Dec 19 2016 jmatejek@suse.com
- update for multipython build
* Mon Jul 18 2016 dmueller@suse.com
- update license
* Mon Jul 18 2016 tbechtold@suse.com
- Use pypi.io for Source url
* Wed May 13 2015 benoit.monin@gmx.fr
- update to version 0.1.8:
  * Start keeping changelog :)
  * Add support for Sphinx 1.3
  * Add sidebar headers for :caption: in Sphinx toctree
  * Clean up sidebar scrolling behavior so it never scrolls
    out of view
* Tue Jun 10 2014 prusnak@opensuse.org
- created package (version 0.1.6)
